[Version]
Signature            = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER            = 1

[UIUSetupCfg]
COMMAND_LINE = "-K%AppFileName% -INI=KS.INI, %AppInstName%"
FriendlyName = %AppDisplayName%

[FileCfg]
Setup64FileName = x64\Setup64.exe

[TASKS.NTx86]
AddReg	     = AddReg.App, AddReg.Install, AddReg.Uninstall, AddReg.Uninstall32
CopyFiles    = CopyFiles.App, CopyFiles.Uninstall32
InstallApp   = InstallApp.App

[TASKS.NTamd64]
AddReg	     = AddReg.App, AddReg.Install, AddReg.Uninstall, AddReg.Uninstall64
CopyFiles    = CopyFiles.App, CopyFiles.Uninstall64
InstallApp   = InstallApp.App

[AddReg.Install]
HKLM, Software\Microsoft\Windows\CurrentVersion\App Paths\%AppFileName%,,,"%16422%\%AppInstPath%\%AppFileName%"'

[AddReg.Uninstall]
HKLM, %AppUninstallReg%, DisplayName,,     %AppDisplayName%
HKLM, %AppUninstallReg%, DisplayIcon,,     "%16422%\%AppInstPath%\%AppFileName%"
HKLM, %AppUninstallReg%, DisplayVersion,,  %AppVersion%
HKLM, %AppUninstallReg%, MajorVersion,,    %AppVersionMajor%
HKLM, %AppUninstallReg%, VersionMajor,,    %AppVersionMajor%
HKLM, %AppUninstallReg%, MinorVersion,,    %AppVersionMinor%
HKLM, %AppUninstallReg%, VersionMinor,,    %AppVersionMinor%
HKLM, %AppUninstallReg%, Publisher,,       %AppPublisherName%
HKLM, %AppUninstallReg%, InstallLocation,, "%16422%\%AppInstPath%"

[AddReg.Uninstall32]
HKLM, %AppUninstallReg%, UninstallString,,"%16422%\%AppInstPath%\Setup.exe   -U -K%AppFileName% -I%AppInstName%"

[AddReg.Uninstall64]
HKLM, %AppUninstallReg%, UninstallString,,"%16422%\%AppInstPath%\Setup64.exe -U -K%AppFileName% -I%AppInstName%"

[SourceDisksNames]
1 = "Conexant Karaoke Service Installation Disk"

[SourceDisksFiles]
%AppFileName%       = 1
setup64.exe         = 1,\x64
setup.exe           = 1

[DestinationDirs]
DefaultDestDir        = 16422,%AppInstPath%
CopyFiles.App         = 16422,%AppInstPath%
CopyFiles.Uninstall32 = 16422,%AppInstPath%
CopyFiles.Uninstall64 = 16422,%AppInstPath%

[CopyFiles.App]
%AppFileName%,,,2

[CopyFiles.Uninstall32]
Setup.exe,,,2

[CopyFiles.Uninstall64]
Setup64.exe,,,2

[InstallApp.App]
InstallApp = "%16422%\%AppInstPath%\%AppFileName%",,0x104

[Strings]
AppPublisherName    = "Conexant Systems"
AppInstPath         = "Conexant\KaraokeService"
AppDisplayName      = "Conexant Karaoke Service"
AppInstName         = "KaraokeService"
AppFileName         = "KaraokeService.exe"
AppUninstallReg     = "Software\Microsoft\Windows\CurrentVersion\Uninstall\KaraokeService"

AppVersion          = "0.2.0.0"
AppVersionMajor     = "0"
AppVersionMinor     = "2"
